This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# List payouts by org

GET https://api-sandbox.payabli.com/api/Query/payouts/org/{orgId}

Retrieves a list of money out transactions (payouts) for an organization. Use filters to limit results. Include the `exportFormat` query parameter to return the results as a file instead of a JSON response.

Reference: https://docs.payabli.com/developers/api-reference/query/get-list-of-payouts-for-organization

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi
  version: 1.0.0
paths:
  /Query/payouts/org/{orgId}:
    get:
      operationId: list-payout-org
      summary: Get list of money out transactions for organization
      description: >-
        Retrieves a list of money out transactions (payouts) for an
        organization. Use filters to limit results. Include the `exportFormat`
        query parameter to return the results as a file instead of a JSON
        response.
      tags:
        - subpackage_query
      parameters:
        - name: orgId
          in: path
          description: The numeric identifier for organization, assigned by Payabli.
          required: true
          schema:
            type: integer
        - name: exportFormat
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/type_:ExportFormat'
        - name: fromRecord
          in: query
          description: >-
            The number of records to skip before starting to collect the result
            set.
          required: false
          schema:
            type: integer
            default: 0
        - name: limitRecord
          in: query
          description: >-
            Max number of records to return for the query. Use `0` or negative
            value to return all records.
          required: false
          schema:
            type: integer
            default: 20
        - name: parameters
          in: query
          description: >-
            Collection of field names, conditions, and values used to filter the
            query.

            <Info>
              **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.**

              Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client.

              For example:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

              should become:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
            </Info>

            List of field names accepted:
              
              - `status` (in, nin, eq, ne)
              - `transactionDate` (gt, ge, lt, le, eq, ne)
              - `billNumber` (ct, nct)
              - `vendorNumber` (ct, nct, eq, ne)
              - `vendorName` (ct, nct, eq, ne)
              - `parentOrgId` (ne, eq, nin, in)
              - `paymentMethod` (ct, nct, eq, ne, in, nin)
              - `paymentId` (ct, nct, eq, ne)
              - `batchNumber` (ct, nct, eq, ne)
              - `totalAmount` (gt, ge, lt, le, eq, ne)
              - `paypointLegal` (ne, eq, ct, nct)
              - `paypointDba` (ne, eq, ct, nct)
              - `accountId` (ne, eq, ct, nct)
              - `orgName` (ne, eq, ct, nct)
              - `externalPaypointID` (ct, nct, eq, ne)
              - `paypointId` (eq, ne)
              - `vendorId` (eq, ne)
              - `vendorEIN` (ct, nct, eq, ne)
              - `vendorPhone` (ct, nct, eq, ne)
              - `vendorEmail` (ct, nct, eq, ne)
              - `vendorAddress` (ct, nct, eq, ne)
              - `vendorCity` (ct, nct, eq, ne)
              - `vendorState` (ct, nct, eq, ne)
              - `vendorCountry` (ct, nct, eq, ne)
              - `vendorZip` (ct, nct, eq, ne)
              - `vendorMCC` (ct, nct, eq, ne)
              - `vendorLocationCode` (ct, nct, eq, ne)
              - `vendorCustomField1` (ct, nct, eq, ne)
              - `vendorCustomField2` (ct, nct, eq, ne)
              - `comments` (ct, nct)
              - `payaccountCurrency` (ne, eq, in, nin)
              - `remitAddress` (ct, nct)
              - `source` (ct, nct, eq, ne)
              - `updatedOn` (gt, ge, lt, le, eq, ne)
              - `feeAmount` (gt, ge, lt, le, eq, ne)
              - `lotNumber` (ct, nct)
              - `customerVendorAccount` (ct, nct, eq, ne)
              - `batchId` (eq, ne)
              - `AchTraceNumber` (eq, ne)
              - `payoutProgram`(eq, ne) the options are `managed` or `odp`. For example, `payoutProgram(eq)=managed` returns all records with a `payoutProgram` equal to `managed`.

              List of comparison accepted - enclosed between parentheses:
              - eq or empty => equal
              - gt => greater than
              - ge => greater or equal
              - lt => less than
              - le => less or equal
              - ne => not equal
              - ct => contains
              - nct => not contains
              - in => inside array separated by \"|\"
              - nin => not inside array separated by \"|\"

              List of parameters accepted:

              - limitRecord : max number of records for query (default=\"20\", \"0\" or negative value for all)
              - fromRecord : initial record in query
              - sortBy : indicate field name and direction to sort the results

              Example: `netAmount(gt)=20` returns all records with a `netAmount` greater than 20.00

              Example: `sortBy=desc(netamount)` returns all records sorted by `netAmount` descending
          required: false
          schema:
            type: object
            additionalProperties:
              type: string
        - name: sortBy
          in: query
          description: >-
            The field name to use for sorting results. Use `desc(field_name)` to
            sort descending by `field_name`, and use `asc(field_name)` to sort
            ascending by `field_name`.
          required: false
          schema:
            type: string
        - name: requestToken
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_:QueryPayoutTransaction'
        '400':
          description: Bad request/ invalid data
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Internal API Error
          content:
            application/json:
              schema:
                description: Any type
        '503':
          description: Database connection error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_:PayabliApiResponse'
servers:
  - url: https://api-sandbox.payabli.com/api
  - url: https://api.payabli.com/api
components:
  schemas:
    type_:ExportFormat:
      type: string
      enum:
        - csv
        - xlsx
      description: >-
        Export format for file downloads. When specified, returns data as a file
        instead of JSON.
      title: ExportFormat
    type_:BatchNumber:
      type: string
      description: >-
        A unique identifier for the batch. This is generated by Payabli when the
        batch is created, and follows this format: 
          `paypointId + "_" + serviceName + "_" + batchDate:yyyyMMdd + "_" + Guid.NewGuid()`. Payabli generates the GUID to ensure that the batch number is unique.

          For example, in this batch number: `123_card_20251008_3f2504e0-4f89-11d3-9a0c-0305e82c3301`, the paypointID is "123", the service is "card", the batch date is "2025-10-08", and the GUID is "3f2504e0-4f89-11d3-9a0c-0305e82c3301".
      title: BatchNumber
    type_:Comments:
      type: string
      description: Any comment or description.
      title: Comments
    type_:InvoiceNumber:
      type: string
      description: >-
        Custom number identifying the bill or invoice. Must be unique in
        paypoint.
      title: InvoiceNumber
    type_:NetAmountstring:
      type: string
      description: Net Amount owed in bill. Required when adding a bill.
      title: NetAmountstring
    type_:Terms:
      type: string
      description: >-
        Payment terms for invoice. If no terms are defined, then response data
        for this field defaults to `NET30`.


        **Available Values:**


        - `PIA`: Payment in advance


        - `CIA`: Cash in advance


        - `UR`: Upon receipt


        - `NET10`: 10 days after invoice date


        - `NET20`: 20 days after invoice date


        - `NET30`: 30 days after invoice date


        - `NET45`: 45 days after invoice date


        - `NET60`: 60 days after invoice date


        - `NET90`: 90 days after invoice date


        - `EOM`: Due end of this month


        - `MFI`: 1st of the month following the invoice date


        - `5MFI`: 5th of the month following the invoice date


        - `10MFI`: 10th of the month following the invoice date


        - `15MFI`: 15th of the month following the invoice date


        - `20MFI`: 20th of the month following the invoice date


        - `2/10NET30`: 2% discount if paid within 10 days, otherwise net 30 days


        - `UF`: Until further notice


        - `10UF`: 10 days until further notice


        - `20UF`: 20 days until further notice


        - `25UF`: 25 days until further notice


        - `50UF`: 50 days until further notice
      title: Terms
    type_:AccountingField:
      type: string
      description: Optional custom field.
      title: AccountingField
    type_:AdditionalDataString:
      type: string
      description: >-
        Custom dictionary of key:value pairs. You can use this field to store
        any data related to the object or for your system. Example usage: 


        ```json

        {
          "additionalData": {
            "key1": "value1",
            "key2": "value2",
            "key3": "value3"
          }
        }

        ```
      title: AdditionalDataString
    type_:FileContentFtype:
      type: string
      enum:
        - pdf
        - doc
        - docx
        - jpg
        - jpeg
        - png
        - gif
        - txt
      description: The MIME type of the file (if content is provided)
      title: FileContentFtype
    type_:FileContent:
      type: object
      properties:
        fContent:
          type: string
          description: >-
            Content of file, Base64-encoded. Ignored if furl is specified. Max
            upload size is 30 MB.
        filename:
          type: string
          description: The name of the attached file.
        ftype:
          $ref: '#/components/schemas/type_:FileContentFtype'
          description: The MIME type of the file (if content is provided)
        furl:
          type: string
          description: Optional URL provided to show or download the file remotely
      description: Contains details about a file. Max upload size is 30 MB.
      title: FileContent
    type_:Attachments:
      type: array
      items:
        $ref: '#/components/schemas/type_:FileContent'
      description: >-
        Array of `fileContent` objects with attached documents. Max upload size
        is 30 MB.
      title: Attachments
    type_:BillPayOutData:
      type: object
      properties:
        billId:
          type: integer
          format: int64
          description: Bill ID in Payabli.
        comments:
          $ref: '#/components/schemas/type_:Comments'
          description: >-
            Any comments about bill. **For managed payouts, this field has a
            limit of 100 characters**.
        dueDate:
          type:
            - string
            - 'null'
          format: date
          description: Bill due date in format YYYY-MM-DD or MM/DD/YYYY.
        invoiceDate:
          type:
            - string
            - 'null'
          format: date
          description: Bill date in format YYYY-MM-DD or MM/DD/YYYY.
        invoiceNumber:
          $ref: '#/components/schemas/type_:InvoiceNumber'
          description: >-
            Custom number identifying the bill. Must be unique in paypoint.
            **Required** for new bill and when `billId` isn't provided.
        netAmount:
          $ref: '#/components/schemas/type_:NetAmountstring'
          description: Net Amount owed in bill. Required when adding a bill.
        discount:
          type: string
          description: Bill discount amount.
        Terms:
          $ref: '#/components/schemas/type_:Terms'
          description: Description of payment terms.
        AccountingField1:
          $ref: '#/components/schemas/type_:AccountingField'
        AccountingField2:
          $ref: '#/components/schemas/type_:AccountingField'
        AdditionalData:
          $ref: '#/components/schemas/type_:AdditionalDataString'
        attachments:
          $ref: '#/components/schemas/type_:Attachments'
          description: >-
            Bill image attachment. Send the bill image as Base64-encoded string,
            or as a publicly accessible link. For full details on using this
            field with a payout authorization, see [the
            documentation](/developers/developer-guides/pay-out-manage-payouts).
      required:
        - dueDate
        - invoiceDate
      title: BillPayOutData
    type_:CreatedAt:
      type: string
      format: date-time
      description: Timestamp of when record was created, in UTC.
      title: CreatedAt
    type_:Entrypointfield:
      type: string
      description: The entrypoint identifier.
      title: Entrypointfield
    type_:QueryTransactionEventsEventData:
      oneOf:
        - type: object
          additionalProperties:
            description: Any type
        - type: string
      description: >-
        Any data associated to the event received from processor. Contents vary
        by event type.
      title: QueryTransactionEventsEventData
    type_:QueryTransactionEvents:
      type: object
      properties:
        EventData:
          $ref: '#/components/schemas/type_:QueryTransactionEventsEventData'
          description: >-
            Any data associated to the event received from processor. Contents
            vary by event type.
        EventTime:
          type: string
          format: date-time
          description: Date and time of event.
        TransEvent:
          type: string
          description: >-
            Event descriptor. See [TransEvent
            Reference](/guides/pay-in-transevents-reference) for more details.
      title: QueryTransactionEvents
    type_:ExternalPaypointId:
      type: string
      description: >-
        A custom identifier for the paypoint, if applicable. Like `entrypoint`
        is the Payabli identifier for the merchant, `externalPaypointId` is a
        custom field you can use to include the merchant's ID from your own
        systems.
      title: ExternalPaypointId
    type_:FeeAmount:
      type: number
      format: double
      description: Service fee or sub-charge applied.
      title: FeeAmount
    type_:Gatewayfield:
      type: string
      description: Gateway used to process the transaction.
      title: Gatewayfield
    type_:HasVcardTransactions:
      type: boolean
      title: HasVcardTransactions
    type_:IsSameDayACH:
      type: boolean
      description: |-
        Indicates if the payout transaction is processed as Same Day ACH. This
        is only applicable for ACH transactions.
      title: IsSameDayACH
    type_:LastModified:
      type: string
      format: date-time
      description: Timestamp of when record was last updated, in UTC.
      title: LastModified
    type_:Netamountnullable:
      type: number
      format: double
      description: Net amount.
      title: Netamountnullable
    type_:OrgParentName:
      type: string
      description: The name of the parent organization.
      title: OrgParentName
    type_:OrgParentId:
      type: integer
      format: int64
      description: The ID of the org's parent organization.
      title: OrgParentId
    type_:Accountexp:
      type: string
      description: Expiration date of card used in transaction.
      title: Accountexp
    type_:AccountId:
      type: string
      description: Custom identifier for payment connector.
      title: AccountId
    type_:Accounttype:
      type: string
      description: Bank account type or card brand.
      title: Accounttype
    type_:Accountzip:
      type: string
      description: ZIP code for card used in transaction.
      title: Accountzip
    type_:BinData:
      type: object
      properties:
        binMatchedLength:
          type: string
          description: |-
            The number of characters from the beginning of the card number that
            were matched against a Bank Identification Number (BIN) or the Card
            Range table.
        binCardBrand:
          type: string
          description: |-
            The card brand. For example, Visa, Mastercard, American Express,
            Discover.
        binCardType:
          type: string
          description: 'The type of card: Credit or Debit.'
        binCardCategory:
          type: string
          description: >-
            The category of the card, which indicates the card product. For
            example: Standard, Gold, Platinum, etc. The binCardCategory for
            prepaid cards is marked `PREPAID`.
        binCardIssuer:
          type: string
          description: The name of the financial institution that issued the card.
        binCardIssuerCountry:
          type: string
          description: The issuing financial institution's country name.
        binCardIssuerCountryCodeA2:
          type: string
          description: >-
            The issuing financial institution's two-character ISO country code.
            See [this resource](https://www.iso.org/obp/ui/#search) for a list
            of codes.
        binCardIssuerCountryNumber:
          type: string
          description: >-
            The issuing financial institution's ISO standard numeric country
            code. See [this resource](https://www.iso.org/obp/ui/#search) for a
            list of codes.
        binCardIsRegulated:
          type: string
          description: Indicates whether the card is regulated.
        binCardUseCategory:
          type: string
          description: The use category classification for the card.
        binCardIssuerCountryCodeA3:
          type: string
          description: >-
            The issuing financial institution's three-character ISO country
            code.

            See [this resource](https://www.iso.org/obp/ui/#search) for a list
            of

            codes.
      description: >-
        Object containing information related to the card. This object is `null`

        unless the payment method is card. If the payment method is Apple Pay,
        the

        binData will be related to the DPAN (device primary account number), not

        the card connected to Apple Pay.
      title: BinData
    type_:PayoutGatewayConnector:
      type: object
      properties:
        configuration:
          type: string
        Name:
          type: string
        Mode:
          type: integer
        Bank:
          type: string
        Descriptor:
          type: string
        gatewayID:
          type: integer
        Enabled:
          type: boolean
        EnableACHValidation:
          type: boolean
        TestMode:
          type: boolean
      title: PayoutGatewayConnector
    type_:Holdername:
      type: string
      description: Account holder name for the method.
      title: Holdername
    type_:Initiator:
      type: string
      description: >-
        **Strongly recommended** The cardholder-initiated transaction (CIT) or
        merchant-initiated transaction (MIT) indicator for the transaction. If
        you don't specify a value, Payabli defaults to `merchant`.


        Available values: 
          - `payor`: For cardholder-initiated transactions
          - `merchant`: For merchant-initiated transactions

          See [Understanding CIT and MIT Indicators](/guides/pay-in-transactions-cit-mit-overview) for more information.
      title: Initiator
    type_:Maskedaccount:
      type: string
      description: >-
        Masked card or bank account used in transaction. In the case of Apple
        Pay, this is a masked DPAN (device primary account number).
      title: Maskedaccount
    type_:Orderdescription:
      type: string
      description: Text description of the transaction.
      title: Orderdescription
    type_:PaymentCategories:
      type: object
      properties:
        amount:
          type: number
          format: double
          description: Price/cost per unit of item or category.
        description:
          type: string
          description: Description of item or category
        label:
          type: string
          description: Name of item or category.
        qty:
          type: integer
          default: 1
          description: Quantity of item or category
      required:
        - amount
        - label
      title: PaymentCategories
    type_:SplitFundingContent:
      type: object
      properties:
        accountId:
          type: string
          description: The accountId for the account the split should be sent to.
        amount:
          type: number
          format: double
          description: Amount from the transaction to send to this recipient.
        description:
          type: string
          description: A description for the split.
        recipientEntryPoint:
          type: string
          description: The entrypoint the split should be sent to.
      title: SplitFundingContent
    type_:SplitFunding:
      type: array
      items:
        $ref: '#/components/schemas/type_:SplitFundingContent'
      description: >-
        Split funding instructions for the transaction. The total amount of the
        splits must match the total amount of the transaction.
      title: SplitFunding
    type_:PaymentDetail:
      type: object
      properties:
        categories:
          type: array
          items:
            $ref: '#/components/schemas/type_:PaymentCategories'
          description: >-
            Array of payment categories/line items describing the amount to be
            paid.

            **Note**: These categories are for information only and aren't
            validated against the total amount provided.
        checkImage:
          type: object
          additionalProperties:
            description: Any type
          description: Object containing image of paper check.
        checkNumber:
          type: string
          description: >-
            A check number to be used in the ach transaction. **Required** for
            payment method = 'check'.
        currency:
          type: string
          description: >-
            The currency for the transaction, `USD` or `CAD`. If your paypoint
            is configured for CAD, you must send the `CAD` value in this field,
            otherwise it defaults to USD, which will cause the transaction to
            fail.
        serviceFee:
          type: number
          format: double
          description: >-
            Service fee to be deducted from the total amount. This amount must
            be a number, percentages aren't accepted. If you are using a
            percentage-based fee schedule, you must calculate the value
            manually.
        splitFunding:
          $ref: '#/components/schemas/type_:SplitFunding'
          description: >-
            Split funding instructions for the transaction. See [Split a
            Transaction](/developers/developer-guides/money-in-split-funding)
            for more.
        checkUniqueId:
          type: string
          description: >-
            Unique identifier for a processed check image. Required for RDC
            (Remote Deposit Capture) transactions where `achCode` is `BOC`. Use
            the `id` value from the [check
            processing](/developers/api-reference/moneyin/check-capture)
            response.
        totalAmount:
          type: number
          format: double
          description: >-
            Total amount to be charged. If a service fee is sent, then this
            amount should include the service fee."
      required:
        - totalAmount
      description: Details about the payment.
      title: PaymentDetail
    type_:Sequence:
      type: string
      description: >-
        The order of the transaction for cardholder-initiated transaction (CIT)
        and merchant-initiated transaction (MIT) purposes. This field is
        automatically detected and populated by Payabli.


        Available values: 
          - `first`: The first use of the payment method. This is almost always a cardholder-initiated transaction.
          - `subsequent`: For merchant-initiated transactions after the first use of the payment method.

          See [Understanding CIT and MIT Indicators](/guides/pay-in-transactions-cit-mit-overview) for more information.
      title: Sequence
    type_:Storedmethodid:
      type: string
      description: >-
        Payabli identifier of a tokenized payment method. If this field is used
        in a request, the `method` field is overridden and the payment is made
        using the payment token.
      title: Storedmethodid
    type_:StoredMethodUsageType:
      type: string
      description: >-
        **Strongly recommended** The usage type for the stored method, used for
        merchant-initiated transactions (MIT). If you don't specify a value,
        Payabli defaults to `unscheduled`.

        Available values: 
          - `unscheduled`: This type is used for transactions that are one-time or otherwise not pre-scheduled.
          - `subscription`: This type is used for subscription payments. For example, monthly rental fees or ongoing service subscriptions.
          - `recurring`: This type is used for recurring payments that occur per a set plan. For example, splitting an HOA special assessment over 6 monthly payments. 

        See [Understanding CIT and MIT
        Indicators](/guides/pay-in-transactions-cit-mit-overview) for more
        information.
      title: StoredMethodUsageType
    type_:QueryPayoutTransactionRecordsItemPaymentData:
      type: object
      properties:
        AccountExp:
          $ref: '#/components/schemas/type_:Accountexp'
        accountId:
          $ref: '#/components/schemas/type_:AccountId'
        AccountType:
          $ref: '#/components/schemas/type_:Accounttype'
        AccountZip:
          $ref: '#/components/schemas/type_:Accountzip'
        bankAccount:
          type: string
        binData:
          $ref: '#/components/schemas/type_:BinData'
        cloudSignatureData:
          type: string
        cloudSignatureFormat:
          type: string
        gatewayConnector:
          $ref: '#/components/schemas/type_:PayoutGatewayConnector'
        HolderName:
          $ref: '#/components/schemas/type_:Holdername'
          description: Card or bank account holder name.
        Initiator:
          $ref: '#/components/schemas/type_:Initiator'
        MaskedAccount:
          $ref: '#/components/schemas/type_:Maskedaccount'
        orderDescription:
          $ref: '#/components/schemas/type_:Orderdescription'
        paymentDetails:
          $ref: '#/components/schemas/type_:PaymentDetail'
        payorData:
          type: string
        Sequence:
          $ref: '#/components/schemas/type_:Sequence'
        StoredId:
          $ref: '#/components/schemas/type_:Storedmethodid'
          description: Identifier of stored payment method used in transaction.
        StoredMethodUsageType:
          $ref: '#/components/schemas/type_:StoredMethodUsageType'
      title: QueryPayoutTransactionRecordsItemPaymentData
    type_:PaymentIdString:
      type: string
      description: >-
        The unique transaction ID. This value is a string representation of a
        long integer.
      title: PaymentIdString
    type_:PayoutProgram:
      type: string
      description: >-
        The payout program associated with the transaction: managed or
        on-demand.
      title: PayoutProgram
    type_:Dbaname:
      type: string
      description: >-
        The alternate or common name that this business is doing business under
        usually referred to as a DBA name.
      title: Dbaname
    type_:Legalname:
      type: string
      description: Business legal name.
      title: Legalname
    type_:RiskAction:
      type: string
      description: Action taken due to risk assessment
      title: RiskAction
    type_:RiskActionCode:
      type: integer
      description: Numeric code representing the risk action
      title: RiskActionCode
    type_:RiskFlagged:
      type: boolean
      description: Indicates if the transaction was flagged for risk
      title: RiskFlagged
    type_:RiskFlaggedOn:
      type: string
      format: date-time
      description: Timestamp when the transaction was flagged for risk
      title: RiskFlaggedOn
    type_:RiskReason:
      type: string
      description: Reason for risk flagging
      title: RiskReason
    type_:RiskStatus:
      type: string
      description: Current risk status of the transaction
      title: RiskStatus
    type_:ScheduleId:
      type: integer
      format: int64
      description: ID of the recurring payment schedule associated with the transaction.
      title: ScheduleId
    type_:SettlementStatusPayout:
      type: string
      description: >-
        The settlement status of the payout transaction. See [Payout Transaction
        Statuses](guides/money-out-statuses#payout-transaction-statuses) for a
        full reference.
      title: SettlementStatusPayout
    type_:Source:
      type: string
      description: Custom identifier to indicate the transaction or request source.
      title: Source
    type_:AdditionalData:
      type: object
      additionalProperties:
        type: object
        additionalProperties:
          description: Any type
      description: >-
        Custom dictionary of key:value pairs. You can use this field to store
        any data related to the object or for your system. If you are using
        [custom identifiers](/developers/developer-guides/entities-customers),
        pass those in this object. Max length for a value is 100 characters.
        Example usage: 


        ```json

        {
          "additionalData": {
            "key1": "value1",
            "key2": "value2",
            "key3": "value3"
          }
        }

        ```
      title: AdditionalData
    type_:AddressNullable:
      type: string
      description: The address.
      title: AddressNullable
    type_:AddressAddtlNullable:
      type: string
      description: Additional line for the address.
      title: AddressAddtlNullable
    type_:BankName:
      type: string
      description: Name of bank for account.
      title: BankName
    type_:RoutingAccount:
      type: string
      description: Routing number of bank account.
      title: RoutingAccount
    type_:AccountNumber:
      type: string
      description: >-
        Account number for bank account. This value is returned masked in
        responses.
      title: AccountNumber
    type_:TypeAccount:
      type: string
      enum:
        - Checking
        - Savings
      description: 'Type of bank account: Checking or Savings.'
      title: TypeAccount
    type_:BankAccountHolderName:
      type: string
      description: The accountholder's name.
      title: BankAccountHolderName
    type_:BankAccountHolderType:
      type: string
      enum:
        - Personal
        - Business
      description: Describes whether the bank is a personal or business account.
      title: BankAccountHolderType
    type_:BillingDataResponse:
      type: object
      properties:
        id:
          type: integer
          description: The bank's ID in Payabli.
        accountId:
          $ref: '#/components/schemas/type_:AccountId'
          description: >-
            An identifier for the bank account. If not provided during creation
            or update, the system generates one in the format
            `acct-{first_digit}xxxxx{last_4_digits}` based on the account
            number. If a duplicate exists within the same service at the
            paypoint, a numeric suffix is appended, such as `-2`. This value is
            also used as the identifier for the bank account's associated
            payment connector.
        nickname:
          type: string
        bankName:
          $ref: '#/components/schemas/type_:BankName'
        routingAccount:
          $ref: '#/components/schemas/type_:RoutingAccount'
        accountNumber:
          $ref: '#/components/schemas/type_:AccountNumber'
        typeAccount:
          $ref: '#/components/schemas/type_:TypeAccount'
        bankAccountHolderName:
          $ref: '#/components/schemas/type_:BankAccountHolderName'
        bankAccountHolderType:
          $ref: '#/components/schemas/type_:BankAccountHolderType'
        bankAccountFunction:
          type: integer
          description: >-
            Describes whether the bank account is used for deposits or
            withdrawals in Payabli:
              - `0`: Deposit
              - `1`: Withdrawal 
              - `2`: Deposit and withdrawal
        verified:
          type: boolean
        status:
          type: integer
        services:
          type: array
          items:
            description: Any type
        default:
          type: boolean
      required:
        - id
        - nickname
        - bankName
        - routingAccount
        - accountNumber
        - typeAccount
        - bankAccountHolderName
        - bankAccountHolderType
        - bankAccountFunction
        - verified
        - status
        - services
        - default
      title: BillingDataResponse
    type_:CityNullable:
      type: string
      description: The city.
      title: CityNullable
    type_:Email:
      type: string
      format: email
      description: Email address.
      title: Email
    type_:ContactsResponse:
      type: object
      properties:
        ContactEmail:
          $ref: '#/components/schemas/type_:Email'
          description: Contact email address.
        ContactName:
          type: string
          description: Contact name.
        ContactPhone:
          type: string
          description: Contact phone number.
        ContactTitle:
          type: string
          description: Contact title.
      title: ContactsResponse
    type_:Ein:
      type: string
      description: >-
        Business EIN or tax ID. This value is masked in API responses, for
        example `XXXX6789`.
      title: Ein
    type_:EnrollmentStatus:
      type: string
      description: Enrollment status of vendor in payables program.
      title: EnrollmentStatus
    type_:InternalReferenceId:
      type: integer
      format: int64
      description: Internal identifier for global vendor account.
      title: InternalReferenceId
    type_:Mcc:
      type: string
      description: >-
        Business Merchant Category Code (MCC). [This
        resource](https://github.com/greggles/mcc-codes/blob/main/mcc_codes.csv)
        lists MCC codes.
      title: Mcc
    type_:PayeeName:
      type: string
      description: Alternative name used to receive paper check.
      title: PayeeName
    type_:VendorPaymentMethodString:
      type: string
      description: |-
        The vendor's preferred payment method. Can be one of:
        - `"managed"` - Managed payment method
        - `"vcard"` - Virtual card payment method
        - `"check"` - Check payment method
        - `"ach"` - ACH payment method
      title: VendorPaymentMethodString
    type_:Remitaddress1:
      type: string
      description: >-
        Remittance street address. Used for mailing paper checks. Required if
        any remittance address field is provided. Allowed characters are
        letters, numbers, spaces, and `. ,
      title: Remitaddress1
    type_:Remitaddress2:
      type: string
      description: >-
        Remittance address additional line, such as a suite or unit number. Used
        for mailing paper checks. Always optional.
      title: Remitaddress2
    type_:Remitcity:
      type: string
      description: >-
        Remittance address city. Used for mailing paper checks. Required if any
        remittance address field is provided.
      title: Remitcity
    type_:Remitcountry:
      type: string
      description: >-
        Remittance address country. Used for mailing paper checks. Must be `US`
        or `CA`. Defaults to `US` if not provided.
      title: Remitcountry
    type_:RemitEmail:
      type: string
      format: email
      description: >-
        Remittance email address. Used for sending virtual cards and other
        information about payouts.
      title: RemitEmail
    type_:Remitstate:
      type: string
      description: >-
        Remittance address state or province. Used for mailing paper checks.
        Required if any remittance address field is provided. Must be a valid US
        state or Canadian province abbreviation.
      title: Remitstate
    type_:Remitzip:
      type: string
      description: >-
        Remittance address ZIP or postal code. Used for mailing paper checks.
        Required if any remittance address field is provided. For US addresses,
        use five digits or ZIP+4 format.
      title: Remitzip
    type_:StateNullable:
      type: string
      description: The state or province.
      title: StateNullable
    type_:VendorResponseStoredMethod:
      type: object
      properties:
        IdPmethod:
          type:
            - string
            - 'null'
        Method:
          type:
            - string
            - 'null'
        Descriptor:
          type:
            - string
            - 'null'
        MaskedAccount:
          type:
            - string
            - 'null'
        ExpDate:
          type:
            - string
            - 'null'
        HolderName:
          type:
            - string
            - 'null'
        AchSecCode:
          type:
            - string
            - 'null'
        AchHolderType:
          type:
            - string
            - 'null'
        IsValidatedACH:
          type:
            - boolean
            - 'null'
        BIN:
          type:
            - string
            - 'null'
        binData:
          type:
            - string
            - 'null'
        ABA:
          type:
            - string
            - 'null'
        PostalCode:
          type:
            - string
            - 'null'
        MethodType:
          type:
            - string
            - 'null'
        LastUpdated:
          type:
            - string
            - 'null'
          format: date-time
        CardUpdatedOn:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - IdPmethod
        - Method
        - Descriptor
        - MaskedAccount
        - ExpDate
        - HolderName
        - AchSecCode
        - AchHolderType
        - IsValidatedACH
        - BIN
        - binData
        - ABA
        - PostalCode
        - MethodType
        - LastUpdated
        - CardUpdatedOn
      description: Stored payment method information
      title: VendorResponseStoredMethod
    type_:VendorSummary:
      type: object
      properties:
        ActiveBills:
          type: integer
        PendingBills:
          type: integer
        InTransitBills:
          type: integer
        PaidBills:
          type: integer
        OverdueBills:
          type: integer
        ApprovedBills:
          type: integer
        DisapprovedBills:
          type: integer
        TotalBills:
          type: integer
        ActiveBillsAmount:
          type: number
          format: double
        PendingBillsAmount:
          type: number
          format: double
        InTransitBillsAmount:
          type: number
          format: double
        PaidBillsAmount:
          type: number
          format: double
        OverdueBillsAmount:
          type: number
          format: double
        ApprovedBillsAmount:
          type: number
          format: double
        DisapprovedBillsAmount:
          type: number
          format: double
        TotalBillsAmount:
          type: number
          format: double
      title: VendorSummary
    type_:Vendorid:
      type: integer
      description: Payabli identifier for vendor record.
      title: Vendorid
    type_:VendorNumber:
      type: string
      description: >-
        Custom number identifying the vendor. Must be unique in paypoint. Can't
        be blank.
      title: VendorNumber
    type_:Vendorstatus:
      type: integer
      description: |-
        Vendor's status.
        Allowed values:

          - `0` Inactive

          - `1` Active

          - `-99` Deleted
      title: Vendorstatus
    type_:Zip:
      type: string
      description: ZIP code for address.
      title: Zip
    type_:VendorQueryRecord:
      type: object
      properties:
        additionalData:
          $ref: '#/components/schemas/type_:AdditionalData'
        Address1:
          $ref: '#/components/schemas/type_:AddressNullable'
        Address2:
          $ref: '#/components/schemas/type_:AddressAddtlNullable'
        BillingData:
          $ref: '#/components/schemas/type_:BillingDataResponse'
        City:
          $ref: '#/components/schemas/type_:CityNullable'
        Contacts:
          $ref: '#/components/schemas/type_:ContactsResponse'
        Country:
          type: string
        CreatedDate:
          $ref: '#/components/schemas/type_:CreatedAt'
        customerVendorAccount:
          type: string
        customField1:
          type: string
        customField2:
          type: string
        EIN:
          $ref: '#/components/schemas/type_:Ein'
        Email:
          $ref: '#/components/schemas/type_:Email'
        EnrollmentStatus:
          $ref: '#/components/schemas/type_:EnrollmentStatus'
        externalPaypointID:
          $ref: '#/components/schemas/type_:ExternalPaypointId'
        InternalReferenceId:
          $ref: '#/components/schemas/type_:InternalReferenceId'
        LastUpdated:
          $ref: '#/components/schemas/type_:LastModified'
        LocationCode:
          type: string
        Mcc:
          $ref: '#/components/schemas/type_:Mcc'
        Name1:
          type: string
        Name2:
          type: string
        ParentOrgName:
          $ref: '#/components/schemas/type_:OrgParentName'
        ParentOrgId:
          $ref: '#/components/schemas/type_:OrgParentId'
        payeeName1:
          $ref: '#/components/schemas/type_:PayeeName'
        payeeName2:
          $ref: '#/components/schemas/type_:PayeeName'
        PaymentMethod:
          $ref: '#/components/schemas/type_:VendorPaymentMethodString'
        PaypointDbaname:
          $ref: '#/components/schemas/type_:Dbaname'
        PaypointEntryname:
          $ref: '#/components/schemas/type_:Entrypointfield'
        PaypointLegalname:
          $ref: '#/components/schemas/type_:Legalname'
        Phone:
          type: string
        remitAddress1:
          $ref: '#/components/schemas/type_:Remitaddress1'
        remitAddress2:
          $ref: '#/components/schemas/type_:Remitaddress2'
        remitCity:
          $ref: '#/components/schemas/type_:Remitcity'
        remitCountry:
          $ref: '#/components/schemas/type_:Remitcountry'
        RemitEmail:
          $ref: '#/components/schemas/type_:RemitEmail'
        remitState:
          $ref: '#/components/schemas/type_:Remitstate'
        remitZip:
          $ref: '#/components/schemas/type_:Remitzip'
        State:
          $ref: '#/components/schemas/type_:StateNullable'
        StoredMethods:
          type: array
          items:
            $ref: '#/components/schemas/type_:VendorResponseStoredMethod'
        Summary:
          $ref: '#/components/schemas/type_:VendorSummary'
        VendorId:
          $ref: '#/components/schemas/type_:Vendorid'
        VendorNumber:
          $ref: '#/components/schemas/type_:VendorNumber'
        VendorStatus:
          $ref: '#/components/schemas/type_:Vendorstatus'
        Zip:
          $ref: '#/components/schemas/type_:Zip'
        PaymentPortalUrl:
          type: string
          description: >-
            URL for the vendor's online payment portal, if known. Populated by
            the vendor enrichment pipeline.
        CardAccepted:
          type: string
          description: >-
            Whether the vendor accepts card payments. Values are `yes`, `no`, or
            `unable to determine`. Populated by the vendor enrichment pipeline.
        AchAccepted:
          type: string
          description: >-
            Whether the vendor accepts ACH payments. Values are `yes`, `no`, or
            `unable to determine`. Populated by the vendor enrichment pipeline.
        EnrichmentStatus:
          type: string
          description: >-
            Current enrichment state of the vendor. Values are `not_enriched`,
            `partially_enriched`, `fully_enriched`, or `fallback_applied`.
        EnrichedBy:
          type: string
          description: >-
            Which enrichment method resolved the vendor's payment acceptance
            info. Values are `invoice_scan`, `web_search`, `vendor_network`, or
            `manual`.
        EnrichedAt:
          type: string
          format: date-time
          description: When the vendor was last enriched (UTC).
        EnrichmentId:
          type: string
          description: Identifier for the enrichment request that last updated this vendor.
      title: VendorQueryRecord
    type_:QueryPayoutTransactionRecordsItem:
      type: object
      properties:
        BatchNumber:
          $ref: '#/components/schemas/type_:BatchNumber'
        BatchId:
          type: integer
          description: Identifier of the batch associated with payout transaction.
        Bills:
          type: array
          items:
            $ref: '#/components/schemas/type_:BillPayOutData'
          description: Bills associated with this transaction.
        CardToken:
          type: string
        CheckData:
          $ref: '#/components/schemas/type_:FileContent'
          description: Object referencing paper check image.
        CheckNumber:
          type: string
          description: Paper check number related to payout transaction.
        Comments:
          $ref: '#/components/schemas/type_:Comments'
          description: Any comment or description for payout transaction.
        CreatedAt:
          $ref: '#/components/schemas/type_:CreatedAt'
          description: Timestamp when the payment was created, in UTC.
        EntryName:
          $ref: '#/components/schemas/type_:Entrypointfield'
        Events:
          type: array
          items:
            $ref: '#/components/schemas/type_:QueryTransactionEvents'
          description: Events associated with this transaction.
        externalPaypointID:
          $ref: '#/components/schemas/type_:ExternalPaypointId'
        FeeAmount:
          $ref: '#/components/schemas/type_:FeeAmount'
        Gateway:
          $ref: '#/components/schemas/type_:Gatewayfield'
        HasVcardTransactions:
          $ref: '#/components/schemas/type_:HasVcardTransactions'
        IdOut:
          type: integer
          format: int64
          description: Identifier of payout transaction.
        IsSameDayACH:
          $ref: '#/components/schemas/type_:IsSameDayACH'
        LastUpdated:
          $ref: '#/components/schemas/type_:LastModified'
          description: Timestamp when payment record was updated.
        NetAmount:
          $ref: '#/components/schemas/type_:Netamountnullable'
          description: Net amount paid.
        ParentOrgName:
          $ref: '#/components/schemas/type_:OrgParentName'
        ParentOrgId:
          $ref: '#/components/schemas/type_:OrgParentId'
        PaymentData:
          $ref: >-
            #/components/schemas/type_:QueryPayoutTransactionRecordsItemPaymentData
        PaymentId:
          $ref: '#/components/schemas/type_:PaymentIdString'
        PaymentMethod:
          type: string
          description: The payment method for the transaction.
        PaymentStatus:
          type: string
          description: >-
            Status of payout transaction. See [Payout Transaction
            Statuses](guides/money-out-statuses#payout-transaction-statuses) for
            a full reference.
        PayoutProgram:
          $ref: '#/components/schemas/type_:PayoutProgram'
        PaypointDbaname:
          $ref: '#/components/schemas/type_:Dbaname'
        PaypointLegalname:
          $ref: '#/components/schemas/type_:Legalname'
          description: Paypoint legal name.
        RiskAction:
          $ref: '#/components/schemas/type_:RiskAction'
        RiskActionCode:
          $ref: '#/components/schemas/type_:RiskActionCode'
        RiskFlagged:
          $ref: '#/components/schemas/type_:RiskFlagged'
        RiskFlaggedOn:
          $ref: '#/components/schemas/type_:RiskFlaggedOn'
        RiskReason:
          $ref: '#/components/schemas/type_:RiskReason'
        RiskStatus:
          $ref: '#/components/schemas/type_:RiskStatus'
        ScheduleId:
          $ref: '#/components/schemas/type_:ScheduleId'
        SettlementStatus:
          $ref: '#/components/schemas/type_:SettlementStatusPayout'
        Source:
          $ref: '#/components/schemas/type_:Source'
        Status:
          type: integer
          description: Internal status of transaction.
        TotalAmount:
          type: number
          format: double
          description: Transaction total amount (including service fee or sub-charge).
        Vendor:
          $ref: '#/components/schemas/type_:VendorQueryRecord'
          description: Vendor related to the payout transaction.
      title: QueryPayoutTransactionRecordsItem
    type_:PageIdentifier:
      type: string
      description: Auxiliary validation used internally by payment pages and components.
      title: PageIdentifier
    type_:Pagesize:
      type: integer
      description: Number of records on each response page.
      title: Pagesize
    type_:QueryPayoutTransactionSummary:
      type: object
      properties:
        pageIdentifier:
          $ref: '#/components/schemas/type_:PageIdentifier'
        pageSize:
          $ref: '#/components/schemas/type_:Pagesize'
        totalAmount:
          type: number
          format: double
        totalAuthorized:
          type: integer
        totalAuthorizedAmount:
          type: number
          format: double
        totalCanceled:
          type: integer
        totalCanceledAmount:
          type: number
          format: double
        totalCaptured:
          type: integer
        totalCapturedAmount:
          type: number
          format: double
        totalNetAmount:
          type: number
          format: double
        totalOpen:
          type: integer
        totalOpenAmount:
          type: number
          format: double
        totalPages:
          type: integer
        totalPaid:
          type: integer
        totalPaidAmount:
          type: number
          format: double
        totalOnHold:
          type: integer
          description: Total number of transactions that are currently on hold.
        totalOnHoldAmount:
          type: number
          format: double
          description: Total amount of transactions that are currently on hold.
        totalProcessing:
          type: integer
        totalProcessingAmount:
          type: number
          format: double
        totalRecords:
          type: integer
      title: QueryPayoutTransactionSummary
    type_:QueryPayoutTransaction:
      type: object
      properties:
        Records:
          type: array
          items:
            $ref: '#/components/schemas/type_:QueryPayoutTransactionRecordsItem'
        Summary:
          $ref: '#/components/schemas/type_:QueryPayoutTransactionSummary'
      title: QueryPayoutTransaction
    type_:IsSuccess:
      type: boolean
      description: >-
        Boolean indicating whether the operation was successful. A `true` value
        indicates success. A `false` value indicates failure.
      title: IsSuccess
    type_:Responsedata:
      type: object
      additionalProperties:
        description: Any type
      description: The object containing the response data.
      title: Responsedata
    type_:ResponseText:
      type: string
      description: 'Response text for operation: ''Success'' or ''Declined''.'
      title: ResponseText
    type_:PayabliApiResponse:
      type: object
      properties:
        isSuccess:
          $ref: '#/components/schemas/type_:IsSuccess'
        responseData:
          $ref: '#/components/schemas/type_:Responsedata'
        responseText:
          $ref: '#/components/schemas/type_:ResponseText'
      required:
        - responseText
      title: PayabliApiResponse
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: requestToken

```

## SDK Code Examples

```typescript ListPayoutOrgExample
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.query.listPayoutOrg(123, {
        fromRecord: 251,
        limitRecord: 0,
        sortBy: "desc(field_name)",
    });
}
main();

```

```python ListPayoutOrgExample
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.query.list_payout_org(
    org_id=123,
    from_record=251,
    limit_record=0,
    sort_by="desc(field_name)",
)

```

```csharp ListPayoutOrgExample
using PayabliPayabliApi;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Query.ListPayoutOrgAsync(
            123,
            new ListPayoutOrgRequest {
                FromRecord = 251,
                LimitRecord = 0,
                SortBy = "desc(field_name)"
            }
        );
    }

}

```

```go ListPayoutOrgExample
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-sandbox.payabli.com/api/Query/payouts/org/123?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("requestToken", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby ListPayoutOrgExample
require 'uri'
require 'net/http'

url = URI("https://api-sandbox.payabli.com/api/Query/payouts/org/123?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["requestToken"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java ListPayoutOrgExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-sandbox.payabli.com/api/Query/payouts/org/123?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29")
  .header("requestToken", "<apiKey>")
  .asString();
```

```php ListPayoutOrgExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-sandbox.payabli.com/api/Query/payouts/org/123?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29', [
  'headers' => [
    'requestToken' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```swift ListPayoutOrgExample
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Query/payouts/org/123?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```